package com.zfire.jiasm.syncdata.download.other.install;

import lombok.extern.slf4j.Slf4j;

/**  未上线 新做的接口
 * 安装转结算 - 广佛等销司发起转结算动作v2
 * /api/ext/azwgmx/launchSettlementV2
 */
@Slf4j
// @Component
public class Settlement {
    /*
    @Resource
    OtherDownService otherDownService;
    @Resource
    TblAddUploadListService tblAddUploadListService;


    @Scheduled(fixedDelayString = "${azzjs}")
    public void process() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        if (1 == 1) {
            return;
        }

        log.info("开始安装转结算: \uF0B7{}", sdf.format(new Date()));

        // 提取数据
        List<TblAddUploadList> taus = tblAddUploadListService.lambdaQuery()
                .eq(TblAddUploadList::getSynStatus, 0)
                .eq(TblAddUploadList::getType,2).list();
        for (TblAddUploadList item : taus) {
            try{
                otherDownService.addInstallSettlement(item);
            } catch (Exception ex) {
                ex.printStackTrace();
                log.info("安装转结算【" + item.getId() +"】失败");
            }
        }
        log.info("安装转结算结束: \uF0B7{}",sdf.format(new Date()));

    }

*/




}
